Subject: Re: bug#18499: Possible mv race for hardlinks (rhbz #1141368 )

From: Paul Eggert <[email-masked]>
Date: Sun, 16 Nov 2014 08:35:18 -0800

Pádraig Brady wrote:
> If we change this, it's much more likely that people will start complaining
> about their non overlapping mv instances failing.

I'd far rather deal with those complaints than deal with complaints about 'mv' 
silently discarding files.  Either the FreeBSD or the Solaris behavior would be 
a real improvement over what we're doing now.  Neither behavior is as good as 
having support in the kernel for doing the right thing, but one step at a time.